## org.eclipse.amp.amf.gen.ide.prefs
Class PreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.amp.amf.gen.ide.prefs.PreferenceInitializer

    public class PreferenceInitializer

extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

Class used to initialize default preference values.

Constructor Summary
`PreferenceInitializer()`

Method Summary
`void` `initializeDefaultPreferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceInitializer

    public PreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Specified by:
    `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`